
#language: ru

@MovingProductsRLS

Функционал: 006. MovingProductsRLS. Создание планов отгрузки РЛС - перемещения

Сценарий: 006.1. MovingProductsRLS. Создание планов отгрузки РЛС - перемещения

	Дано Я подключаюсь под "Создание планов отгрузки РЛС - для перемещений"
	Дано я устанавливаю текущему сеансу заголовок приложения "17.006. РЛС Перемещения товаров"
	Дано я удаляю объекты "Документы.к2ПланОтгрузки" без контроля ссылок
	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "19.02.2020"
	Тогда таблица "ТаблицаРаспоряжений" стала равной:
		| 'Заказ' | 'Получатель' | 'В плане' | 'План отгрузки' | 'Зона доставки' | 'Склад отгрузки' |
		| '10'    | 'Куриная ГП' | ''        | ''              | ''              | 'Сырная ГП'      |
		| '20'    | 'Сырная ГП'  | ''        | ''              | ''              | 'Куриная ГП'     |
	И я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку 'общее'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 006.2. MovingProductsRLS. Проверка доступности заказов - РЛС

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	Тогда таблица "Список" стала равной:
		| 'Получатель' | 'Отгрузка'   | 'Доставка'   | 'Отправитель' | 'Организация' |
		| 'Куриная ГП' | '19.02.2020' | '19.02.2020' | 'Сырная ГП'   | 'Организация' |
		| 'Сырная ГП'  | '19.02.2020' | '19.02.2020' | 'Куриная ГП'  | 'Организация' |
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 006.3. MovingProductsRLS. Завершение

	И я закрываю сеанс TESTCLIENT

